Subject: Re: Clear coat

From: [email-masked] (Gene Olson and Chris Wilson)
Date: Sat, 6 Jul 1996 13:29:20 -0400 (EDT)

No experieince on this one Dave, but I picked up this reference on
rec.crafts.metalworking back on Mar 1 re. clear coats for copper

from a  guy named Doug Von Gausig [email-masked]
http://www.sedona.net/~dougvg

"We use a water souble clear coat from Trip. Their phone is 213-261-7301
They have a wide range of copper coatings and we have found all of them to
be excellent.  OUr shop produces decorative copper Items, from photo frames
to switch plates etc."

Now Copper is a totaly different beast and harder to bond to than steel, so
I don't know if the bonding chemistry would be appropriate. If they are as
good as this guy thinks they are, they may have an enlightened opinion.

Good Luck.

Gene

>I would like to know what ye all recommend for a clear coat finish on 
>interior ironwork.  Say you have a patina on steel, or want to leave it 
>natural; what is the best to use for a clear, protective coat?  How 
>about matt or satin versus glossy?  I believe someone once mentioned 
>ValOil - is that a good finish clear coat?  I've used polyurethane, but 
>don't like the result.  Any recommendations would be appreciated.
>
>D.C. Hufford
>Richmond, KY
>
>
>

 The Studios of Gene Olson and Chris Wilson  Metals, Stone, Mixed Media
  8600 NE O'DEAN AVE, ELK RIVER, MN 55330
  URL: http://www.concentric.net/~mettlewk/